org.jbpm.services.task.impl.model

## Class AttachmentImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.AttachmentImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class AttachmentImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,org.kie.internal.task.api.model.AccessType>` | `accessType`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Date>` | `attachedAt`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,UserImpl>` | `attachedBy`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long>` | `attachmentContentId`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String>` | `contentType`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String>` | `name`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Integer>` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessType

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,org.kie.internal.task.api.model.AccessType> accessType

    - #### attachedAt

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Date> attachedAt

    - #### size

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Integer> size

    - #### attachmentContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long> attachmentContentId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String> name

    - #### attachedBy

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,UserImpl> attachedBy

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long> id

    - #### contentType

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String> contentType

  - ### Constructor Detail

    - #### AttachmentImpl_

          public AttachmentImpl_()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.